library(kmerclust)

args <- commandArgs(trailingOnly = TRUE)
print(args)

data <- readr::read_tsv(args[2], show_col_types = FALSE)
format(object.size(data), units = "Mb")
annotation <- parse_annotation(args[1])
count <- annotate_counts(annotation, data, args[3]) %>% dplyr::ungroup()
save(count, file = paste0(args[3], ".Rdata"))
